Class | Bio::Meme::Motif
In: | lib/bio/appl/meme/motif.rb
Parent: | Object

## Description

This class minimally represents a sequence motif according to the MEME program

TODO: integrate with Bio::Sequence class TODO: parse PSSM data

### Methods

length new

### Attributes

end_pos | [RW] |
motif | [RW] |
pvalue | [RW] |
sequence_name | [RW] |
start_pos | [RW] |
strand | [RW] |

### Public Class methods

new(sequence_name, strand, motif, start_pos, end_pos, pvalue)

Creates a new Bio::Meme::Motif object arguments are

[Source]

        # File lib/bio/appl/meme/motif.rb, line 31
    31:     def initialize(sequence_name, strand, motif, start_pos, end_pos, pvalue)
    32:       @sequence_name = sequence_name.to_s
    33:       @strand = strand.to_s
    34:       @motif = motif.to_i
    35:       @start_pos = start_pos.to_i
    36:       @end_pos = end_pos.to_i
    37:       @pvalue = pvalue.to_f
    38:     end

### Public Instance methods

length()

Computes the motif length

[Source]

        # File lib/bio/appl/meme/motif.rb, line 41
    41:     def length
    42:       @end_pos - @start_pos
    43:     end

[Validate]